<?php
/**
 * The sidebar containing the main widget area
 *
 * If no active widgets are in the sidebar, hide it completely.
 *
 * @package WordPress
 * @subpackage Autima_Theme
 * @since Autima 1.0
 */
$autima_opt = get_option( 'autima_opt' );
$autima_blogsidebar = 'right';
if(isset($autima_opt['sidebarblog_pos']) && $autima_opt['sidebarblog_pos']!=''){
	$autima_blogsidebar = $autima_opt['sidebarblog_pos'];
}
if(isset($_GET['sidebar']) && $_GET['sidebar']!=''){
	$autima_blogsidebar = $_GET['sidebar'];
}
$autima_blog_sidebar_extra_class = NULl;
if($autima_blogsidebar=='left') {
	$autima_blog_sidebar_extra_class = 'order-lg-first';
}
?>
<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
	<div id="secondary" class="col-12 col-lg-3 <?php echo esc_attr($autima_blog_sidebar_extra_class);?>">
		<div class="sidebar-content">
			<?php dynamic_sidebar( 'sidebar-1' ); ?>
		</div>
	</div><!-- #secondary -->
<?php endif; ?>